Bug 116727 - EDITING: Undo after Clone Formatting leads to text having double font size (see comment 4)
Summary: EDITING: Undo after Clone Formatting leads to text having double font size (s...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Undo-Redo Clone-Formatting
  Show dependency treegraph
 
Reported: 2018-04-01 00:13 UTC by Gerald Pfeifer
Modified: 2019-04-05 02:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (564.94 KB, application/vnd.oasis.opendocument.presentation)
2018-04-01 00:13 UTC, Gerald Pfeifer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer 2018-04-01 00:13:24 UTC
Created attachment 141005 [details]
Sample document

How to reproduce:

 1. Open attached document
 2. Change text background of cell ONEONEONE
 3. Clone formatting of cell ONEONEONE to cells TWO, THREE, FOUR, and FIVE
 4. Undo (<Ctrl><Z>)
 5. Observe how the change is reverted, but font size doubles! Another 
    undo step reverts the font size to normal again.
Comment 1 Buovjaga 2018-04-03 17:57:14 UTC
(In reply to Gerald Pfeifer from comment #0)
>  2. Change text background of cell ONEONEONE

Please describe how you do this exactly.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.
Comment 2 Gerald Pfeifer 2018-04-03 18:01:03 UTC
(In reply to Buovjaga from comment #1)
>>  2. Change text background of cell ONEONEONE 
> Please describe how you do this exactly.
> 
> Set to NEEDINFO.
> Change back to UNCONFIRMED after you have provided the information.

I'm using the button in the toolbar that has a textual description
of "Highlight Color".
Comment 3 Buovjaga 2018-04-03 18:26:53 UTC
For the cloning, are you cloning to the 4 target cells all at once? Or doing 4 different clones?

I find that if I try to do all at once, it either has no effect OR the font size is doubled. It will also remove the borders of the 4 cells.

If I do only 1 clone per cell, everything works as expected and there is no undo problem (although there is no undo problem in the "all at once" method either).

Arch Linux 64-bit
Version: 6.0.2.1.0+
Build ID: 6.0.2-1
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Comment 4 Gerald Pfeifer 2018-04-03 18:41:16 UTC
(In reply to Buovjaga from comment #3)
> For the cloning, are you cloning to the 4 target cells all at once?
> Or doing 4 different clones?

I am cloning by double clicking the cloning icon in the toolbar and
then cells TWO, THREE, FOUR, and FIVE, one after the other.
 
> I find that if I try to do all at once, it either has no effect OR the 
> font size is doubled.

I also got this once in one my of tests.

Working on this a bit more, I managed to simplify (and hopefully
clarify) the reproducer:

 1. Open attached document
 2. Change text background of cell ONEONEONE by using the "Highlight Color"
    icon in the toolbar.
 3. Clone formatting of cell ONEONEONE to cells TWO and FIVE by double
    clicking the "Clone Formatting" icon in the toolbar and then clicking
    on TWO and then clicking on FIVE. 
 4. Undo (<Ctrl><Z>)
 5. Observe how the change is reverted, but font size doubles in cell FIVE!
    Another undo step reverts the font size to normal again.

libreoffice-6.0.3.1-1.1.x86_64 on openSUSE Tumbleweed.
Comment 5 Buovjaga 2018-04-04 08:46:37 UTC
(In reply to Gerald Pfeifer from comment #4)
>  1. Open attached document
>  2. Change text background of cell ONEONEONE by using the "Highlight Color"
>     icon in the toolbar.
>  3. Clone formatting of cell ONEONEONE to cells TWO and FIVE by double
>     clicking the "Clone Formatting" icon in the toolbar and then clicking
>     on TWO and then clicking on FIVE. 
>  4. Undo (<Ctrl><Z>)
>  5. Observe how the change is reverted, but font size doubles in cell FIVE!
>     Another undo step reverts the font size to normal again.

Ok, with *these* steps I do repro. Note that it does not depend on "highlight" - font colour can also be used.

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 6acda2a36c9025e0d3fe94d6ca8788ab60c3203e
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on April 2nd 2018

It is already seen in 3.5.0 (tested on Win 10)
Comment 6 QA Administrators 2019-04-05 02:59:18 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug